require 'json-schema'

# order matters
lambda do
  require_relative 'dryv/errors'
  require_relative 'dryv/schema'
  require_relative 'dryv/rule'

  require_relative 'dryv/rules/binary'
  require_relative 'dryv/rules/composite'
  require_relative 'dryv/rules/between'
  require_relative 'dryv/rules/min_length'
  require_relative 'dryv/rules/greater_than'
  require_relative 'dryv/rules/not_equal'
  require_relative 'dryv/rules/less_than'
  require_relative 'dryv/rules/greater_than_or_equal'
  require_relative 'dryv/rules/collection'
  require_relative 'dryv/rules/length_between'
  require_relative 'dryv/rules/or'
  require_relative 'dryv/rules/and'
  require_relative 'dryv/rules/less_than_or_equal'
  require_relative 'dryv/rules/then'
  require_relative 'dryv/rules/format'
  require_relative 'dryv/rules/present'
  require_relative 'dryv/rules/length_equal'
  require_relative 'dryv/rules/included'
  require_relative 'dryv/rules/equal'
  require_relative 'dryv/rules/max_length'

  require_relative 'dryv/rules_factory'
end.call

module Dryv
end
